import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import { lazy, Suspense } from 'react';
const App = lazy(() => import('./App.tsx'));
import './index.css';

createRoot(document.getElementById('root')!).render(
  <StrictMode>
    <Suspense fallback={
      <div className="min-h-screen flex items-center justify-center bg-slate-50">
        <div className="animate-pulse text-2xl text-slate-600">Loading UNYTS LLC...</div>
      </div>
    }>
      <App />
    </Suspense>
  </StrictMode>
);